# READE.MiNT by Martin-Eric Racine <q-funk@pp.fishpool.fi>
# version 1.1 - Sat Aug 12 16:00:01 EEST 2000


Introduction
-----------------------------------------------------------
(please also read the original README.TXT from K9's author)

K9 is a small utility to synchronise your Atari's clock with other computers.
It has a very minimal user interface. The command line options are:

-d	Run as debug (don't run in background, don't set the time, show trace).
-o	Run until time received then die.
-b	Beep when message received.


Installation
-----------------------------------------------------------

1) Copy the binary to /usr/sbin/

2) Add these lines to /etc/rc.net:

  if [ -f /usr/sbin/k9mint ]; then
     echo -n "Starting NTP client... "
     k9mint > /dev/null 2>&1
     echo "done."
  fi

3) Reboot


Configuration
-----------------------------------------------------------

There is no configuration file. K9 simply runs in the background and listens
for NTP broadcasts.  To verify if NTP broadcasts are received, start K9 from
the command line as root, with the option -d.  When a broadcast is received,
you will see something like this:

  <rakas:root>/root# k9mint -d
  K9 V1.2 (C) H.C. Mingham-Smith Ltd. 1998-2000
  Time broadcast received from 192.168.1.1
  Ver: 3 Stratum: 3 Mode: 5 Poll: 6 Precision -16
  UTC Time is Sat Aug 12 13:00:01 2000


Porting notes
-----------------------------------------------------------

1) Version 1.3 cannot be built, because MiNT-Net has no IP_ADD_MEMBERSHIP
   macro in <netinet/in.h>, so one must revert to version 1.2 or earlier.

2) Because MiNT cannot correctly offset its time to local time, in regards
   to the RTC, one must run MiNT in UTC mode.

   e.g. on Linux, typing 'date' on the command line always returns the date
   in local time, even if the RTC runs in UTC:

     <paska:root>/root# date
     Sat Aug 12 16:00:01 EEST 2000

   On MiNT, 'date' returns whatever time was found thru GEMDOS.  Because K9
   synchronizes the RTC according to UTC, this results in 'date' returning
   a time that is incorrect for the user's location.

   Until MiNT and its programming libraries are fixed to be able to deal with
   an RTC in localtime, this remains a problem for some users.

Contact addresses
-----------------------------------------------------------

K9 homepage:	http://www.kaska.demon.co.uk/

My homepage:	http://funkyware.atari.org/

#EoF